Bug 641839 - 'Group By Version' is not working for 'Inventory Summary' reports
'Group By Version' is not working for 'Inventory Summary' reports
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-11 05:15 EDT by Rajan Timaniya
Modified: 2011-05-23 21:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (111.87 KB, image/png)
2010-10-11 05:15 EDT, Rajan Timaniya
no flags Details
server log (363.41 KB, text/x-log)
2010-10-11 05:16 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-10-11 05:15:10 EDT
Created attachment 452666 [details]
screenshot

Description of problem:
'Group By Version' is not working for 'Inventory Summary' reports.

Version-Release number of selected component (if applicable):
Hudson build #394
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/394/

How reproducible:
Always

Steps to Reproduce:
1) Install RHQ server and agent
2) Log-in to RHQ
3) Navigate 'Reports'
4) Click on 'Inventory' -> 'Inventory Summary'
5) Checked 'Group By Version' and observe 'Inventory Summary' list
  
Actual results:
'Group By Version' is not working for 'Inventory Summary' list.

Expected results:
'Group By Version' should work for 'Inventory Summary' list.

Additional info:
Please refer attached screenshot and server log.
Comment 1 Rajan Timaniya 2010-10-11 05:16:01 EDT
Created attachment 452667 [details]
server log
Comment 2 Jay Shaughnessy 2011-02-15 11:53:32 EST
Fixed
Comment 3 Sunil Kondkar 2011-03-22 05:21:23 EDT
Verified on build#1090 (Version: 4.0.0-SNAPSHOT Build Number: f19c23e)

Now 'Reports'->'Inventory'->'Inventory Summary' page does not have 'Group By Version' check box. However, there is now a 'Version' column. User can sort ascending/descending on version column.

Marking this as verified.
Comment 4 Corey Welton 2011-05-23 21:12:12 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:12:12 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.